Subject: Bug#332: RPM issue of the OSBD queues

From: Frank Warnke <[email-masked]>
Date: Tue, 29 Oct 2013 09:51:23 -0400

Hi Mike,

I did some more digging.

The start up script, /etc/init.d/x2gocleansessions, has what it needs to 
create the directory /tmp/.X11-unix.  However, that script does not seem 
to be run during system startup on my very minimal CentOS v6.4 servers.

Running "chkconfig --list | grep x2go" does not come up with anything.  
Chkconfig does not see it, so /etc/init.d/x2gocleansessions does not run 
even though it is in the correct directory.

I had to add it manually to chkconfig so it would run on system start up;

# chkconfig --add x2gocleansessions

Now chkconfig sees it as a script to run on system start up;

# chkconfig --list | grep x2go
x2gocleansessions    0:off    1:off    2:off    3:on    4:off 5:on    6:off

Now the start up script /etc/init.d/x2gocleansessions runs on system 
start up and creates /tmp/.X11-unix.

I looked at other application heavy CentOS v6 servers that we have x2go 
"working" on.  They work because it seems that some other application 
creates /tmp/.X11-unix during system start up.  These "working" machines 
also did not have x2gocleansessions running upon system start up.  I ran 
"chkconfig --add x2gocleansessions" on them as well.

If I have figured out the problem, it looks like the x2goserver 
installation script on CentOS v6 may need to have "chkconfig --add 
x2gocleansessions" run in it.

Thanks,
Frank

On 10/29/2013 04:21 AM, Mike Gabriel wrote:
> Hi Frank,
>
> On  Fr 25 Okt 2013 15:43:16 CEST, Frank Warnke wrote:
>
>> On 10/25/2013 07:23 AM, Jan Engelhardt wrote:
>>> On Friday 2013-10-25 12:41, Mike Gabriel wrote:
>>>> can you take a look at issue #332 in X2Go BTS. Obviously, you 
>>>> should add
>>>> something to the RPM package's init script of X2Go Server that 
>>>> resembles this
>>>> http://code.x2go.org/gitweb?p=x2goserver.git;a=blobdiff;f=debian/x2goserver.init;h=5ae86e4832e3f4c497cc238510aa26375d9bcfd3;hp=b56a4cb5898bdf805b533d153a54fd138e06f9b9;hb=b3d9404c654c051875a1f3abcbd3ff81aa6780b7;hpb=d7f10874cafc3113afe50d0e109f084533aace3f 
>>>>
>>> The init script is already whatever was in debian/x2goserver.init.
>>>
>>>
>
>> I have this in /etc/rc.d/rc.local on CentOS v6.4 64bit, so that after 
>> a reboot, x2goclient can still connect to the server;
>>
>> /bin/mkdir -m 1777 /tmp/.X11-unix
>>
>
> As Jan stated, there should be an init script for X2Go Server. The 
> script launches /usr/sbin/x2gocleansessions. It also should handled 
> the /tmp/.X11-unix directory. Can you please check if that script is 
> in place? Can you also check, why it does not work on your system? 
> Thanks.
>
> Mike